commit fffcd83e709e6a517181c3dddb1d43bc9e35f588
parent 3f5761696e05514a61d03756b944ee2d2449c218
Author: Georges Dupéron <georges.duperon@gmail.com>
Date: Sun, 24 Jun 2018 23:59:28 +0200
Added stubs for bochs and virtualbox, to be filled out.
Diffstat:
6 files changed, 32 insertions(+), 9 deletions(-)
diff --git a/.travis.yml b/.travis.yml
@@ -5,9 +5,19 @@ addons:
packages:
- qemu
- qemu-system-x86
+ - qemu-system-arm
+ - virtualbox
+ - bochs
+ - sikuli-ide
install:
- true # Nothing to do for now.
+env:
+ - MODE=qemu-system-i386
+ - MODE=qemu-system-arm
+ - MODE=virtualbox
+ - MODE=bochs
+
script:
- - ./test_os.sh qemu-system-i386
-\ No newline at end of file
+ - ./test/${MODE}.sh
+\ No newline at end of file
diff --git a/test/bochs.sh b/test/bochs.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+bochs --help
+\ No newline at end of file
diff --git a/test/qemu-system-arm.sh b/test/qemu-system-arm.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+qemu-system-arm -M help
+\ No newline at end of file
diff --git a/test/qemu-system-i386.sh b/test/qemu-system-i386.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+qemu-system-i386 --help
+\ No newline at end of file
diff --git a/test/virtualbox.sh b/test/virtualbox.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+
+VirtualBox --help
+\ No newline at end of file
diff --git a/test_os.sh b/test_os.sh
@@ -1,6 +0,0 @@
-#!/bin/sh
-set -e
-
-mode="$1"
-
-qemu-system-i386 --help
-\ No newline at end of file